
# react-native-kakaolink

## Getting started

`$ npm install react-native-kakaolink --save`

### Mostly automatic installation

`$ react-native link react-native-kakaolink`

### Manual installation


#### iOS

1. In XCode, in the project navigator, right click `Libraries` ➜ `Add Files to [your project's name]`
2. Go to `node_modules` ➜ `react-native-kakaolink` and add `RNKakaolink.xcodeproj`
3. In XCode, in the project navigator, select your project. Add `libRNKakaolink.a` to your project's `Build Phases` ➜ `Link Binary With Libraries`
4. Run your project (`Cmd+R`)<

#### Android

1. Open up `android/app/src/main/java/[...]/MainActivity.java`
  - Add `import com.reactlibrary.RNKakaolinkPackage;` to the imports at the top of the file
  - Add `new RNKakaolinkPackage()` to the list returned by the `getPackages()` method
2. Append the following lines to `android/settings.gradle`:
  	```
  	include ':react-native-kakaolink'
  	project(':react-native-kakaolink').projectDir = new File(rootProject.projectDir, 	'../node_modules/react-native-kakaolink/android')
  	```
3. Insert the following lines inside the dependencies block in `android/app/build.gradle`:
  	```
      compile project(':react-native-kakaolink')
  	```

#### Windows
[Read it! :D](https://github.com/ReactWindows/react-native)

1. In Visual Studio add the `RNKakaolink.sln` in `node_modules/react-native-kakaolink/windows/RNKakaolink.sln` folder to their solution, reference from their app.
2. Open up your `MainPage.cs` app
  - Add `using Kakaolink.RNKakaolink;` to the usings at the top of the file
  - Add `new RNKakaolinkPackage()` to the `List<IReactPackage>` returned by the `Packages` method


## Usage
```javascript
import RNKakaolink from 'react-native-kakaolink';

// TODO: What to do with the module?
RNKakaolink;
```
  